/**
*Programme cree par The Clusters
*Classe principale du jeu "Chkoba"
*@author The Clusters
*@version 1.0
**/

package chkoba;

import chkoba.*;
import java.util.*;

/**
*	Classe Chkoba
*/

public class Chkoba
{		
	public static void main (String args[])
	{
		boolean gagne=false;
		boolean changement=true;
		ICarte c;
		IPlateau pl;
		int tmp;
		IJoueur j1, j2, j3, j4;
		
		try
		{
			pl=new PlateauImpl();
			
			while( pl.resteCartes() )
			{				
				pl.getJoueurCourant().jouer(pl);
				pl.setJoueurCourant();
			}

			System.out.println("Partie finie !!!!!!");
			
			//on compte les points
			
			tmp=pl.getJoueurs().size();
			switch ( tmp )
			{
				case 2 : 
					int pointJ1=0, pointJ2=0;
				
					j1=pl.getJoueurCourant();
					pl.setJoueurCourant();
					j2=pl.getJoueurCourant();
					
					j1.comptePoint();
					j2.comptePoint();
				
					pointJ1+=j1.getPoint();
					pointJ2+=j2.getPoint();
					
					if(pointJ1>pointJ2)
						System.out.println(j1.getNom()+ " a gagne !!!!!");
					else if(pointJ2>pointJ1)
						System.out.println(j2.getNom()+ " a gagne !!!!!");						
					else
						System.out.println("Egalite !!!!!");
					break;
					
				case 4 :
					//Gestion des teams!
					int team1=0, team2=0;
					ArrayList<IJoueur> t1, t2;
				
					t1=pl.getEquipe1();
					t2=pl.getEquipe2();
					
					j1=t1.get(0);
					j2=t1.get(1);
					j3=t2.get(0);
					j4=t2.get(1);
					
					j1.comptePoint();
					j2.comptePoint();
					team1=j1.getChkoba();
					team1+=j2.getChkoba();
					team1+=j1.getPoint();
					team1+=j2.getPoint();
					
					j3.comptePoint();
					j4.comptePoint();
					team2+=j3.getChkoba();
					team2+=j4.getChkoba();
					team2+=j3.getPoint();
					team2+=j4.getPoint();
					
					if(team1>team2)
						System.out.println("L'equipe 1 a gagne !!!!!");
					else if(team2>team1)
						System.out.println("L'equipe 2 a gagne !!!!!");						
					else
						System.out.println("Egalite !!!!!");
					
					break;
			}
		}
		catch(Exception e)
		{
			e.printStackTrace();
			System.out.println("T'est nul!!!!!!");
		}
	}
}
